Subject: Re: bug#17392: 24.3.90; cursor blinks faster and faster

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 May 2014 20:04:21 +0300

> From: Lennart Borgman <[email-masked]>
> Date: Thu, 15 May 2014 05:31:46 +0200
> Cc: Michael Heerdegen <[email-masked]>, [email-masked]
> 
> On Thu, May 15, 2014 at 4:40 AM, Eli Zaretskii <[email-masked]> wrote:
> >>
> >> I said I have seen the problem with
> >> the number of timers building up for blinking cursors, but it was some
> >> years ago.
> >
> > That cannot be the same problem we see now, because the code that
> > produces a blinking cursor, and in particular its timer functions, was
> > thoroughly rewritten during the last year.  The idle timer that seems
> > to be the source of the problem now did not exist back then.
> >
> > So you are talking about a totally unrelated issue.
> 
> Yes, if it is a logical problem.

As I said, the code was thoroughly rewritten, so the logic has changed
as well.